# File created using '.gitignore Generator' for Visual Studio Code: https://bit.ly/vscode-gig
# Created by https://www.toptal.com/developers/gitignore/api/windows,visualstudiocode,ionic3,vue
# Edit at https://www.toptal.com/developers/gitignore?templates=windows,visualstudiocode,ionic3,vue

### Ionic3 ###
# Log an tmp data
*~
*.sw[mnpcod]
*.log
*.tmp
*.tmp.*
log.txt

# NPM (Node Package Manager) files
npm-debug.log*
node_modules/
tmp/
temp/

# Preprocessors cache files
.sourcemaps/
.sass-cache/
.tmp/
hooks/

# Ionic 3 plugins files
platforms/
plugins/
plugins/android.json
plugins/ios.json
www/

# Trash data
$RECYCLE.BIN/
.DS_Store
Thumbs.db
UserInterfaceState.xcuserstate

### VisualStudioCode ###
.vscode/*
!.vscode/settings.json
!.vscode/tasks.json
!.vscode/launch.json
!.vscode/extensions.json
!.vscode/*.code-snippets

# Local History for Visual Studio Code
.history/

# Built Visual Studio Code Extensions
*.vsix

### VisualStudioCode Patch ###
# Ignore all local history of files
.history
.ionide

### Vue ###
# gitignore template for Vue.js projects
#
# Recommended template: Node.gitignore
dist

# TODO: where does this rule come from?
docs/_book

# TODO: where does this rule come from?
test/

### Windows ###
# Windows thumbnail cache files
Thumbs.db:encryptable
ehthumbs.db
ehthumbs_vista.db

# Dump file
*.stackdump

# Folder config file
[Dd]esktop.ini

# Recycle Bin used on file shares

# Windows Installer files
*.cab
*.msi
*.msix
*.msm
*.msp

# Windows shortcuts
*.lnk

# End of https://www.toptal.com/developers/gitignore/api/windows,visualstudiocode,ionic3,vue

# Custom rules (everything added below won't be overriden by 'Generate .gitignore File' if you use 'Update' option)

